# MongoCollection::getWriteConcern

(PECL mongo >=1.5.0)

MongoCollection::getWriteConcern — Get the write concern for this collection

### Description

public MongoCollection::getWriteConcern ( void ) : array

### Parameters

This function has no parameters.

### Return Values

This function returns an array describing the write concern. The array contains the values w for an integer acknowledgement level or string mode, and wtimeout denoting the maximum number of milliseconds to wait for the server to satisfy the write concern.

### Examples

Example #1 MongoCollection::getWriteConcern() return value example

`<?php
$mc = new MongoClient('mongodb://localhost:27017', array('wTimeoutMS' => 500));
$coll = $mc->selectCollection('test', 'foo');
var_dump($coll->getWriteConcern());
$coll->setWriteConcern(1, 1000);
var_dump($coll->getWriteConcern());
?>`

The above example will output:

    array(2) {
      ["w"]=>
      int(1)
      ["wtimeout"]=>
      int(500)
    }
    array(2) {
      ["w"]=>
      int(1)
      ["wtimeout"]=>
      int(1000)
    }

### See Also

- The write concern documentation.
- MongoCollection::setWriteConcern() - Set the write concern for this database